﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WrapTextApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Person> _persons;

        public ObservableCollection<Person> Persons
        {
            get
            {
                return _persons;
            }
            set
            {
                _persons = value;
            }
        }
        
        public void CreatePersonCollection()
        {
            _persons = new ObservableCollection<Person>();

            _persons.Add(new Person("FFF"));
            _persons.Add(new Person("FFF"));
            _persons.Add(new Person("FFF"));
            _persons.Add(new Person("FFF"));
            _persons.Add(new Person("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF"));
            _persons.Add(new Person("FFF"));
            _persons.Add(new Person("FFF"));

           
        }

        public void AddPerson(string name)
        {
            this._persons.Add(new Person(name));
        }

        public MainWindow()
        {
            CreatePersonCollection();
            InitializeComponent();
            DataContext = this;
        }

        private void AddButtonClick(object sender, RoutedEventArgs e)
        {
            this.AddPerson("PleaseHelp :)");
            this.dataTree.ActiveNode = this.dataTree.Nodes.Last();
        }
    }
}
